services:
  netbootxyz:
    # image: ghcr.io/netbootxyz/netbootxyz
    image: lscr.io/linuxserver/netbootxyz:latest
    container_name: netbootxyz
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Etc/UTC
      #- MENU_VERSION=1.9.9 #optional
      #- PORT_RANGE=30000:30010 #optional
      #- SUBFOLDER=/ #optional
      #- MENU_VERSION=2.0.47 # optional
      - NGINX_PORT=80 # optional
      - WEB_APP_PORT=3000 # optional
    volumes:
      - /gurulandia/data/netbootxyz/config:/config # optional
      - /gurulandia/data/netbootxyz/assets:/assets # optional
    ports:
      - 3001:3000  # optional, destination should match ${WEB_APP_PORT} variable above.
      - 69:69/udp
      - 8080:80  # optional, destination should match ${NGINX_PORT} variable above.
    restart: unless-stopped